import { assert } from "../../../../assert.js";

/**
 *
 * @param {TopoEdge} edge
 * @param {TopoVertex} v2
 * @param {TopoVertex} v1
 * @returns {boolean}
 */
export function query_vertices_in_edge(edge, v1, v2) {
    assert.notNull(edge, 'edge');
    assert.notNull(v1, 'v1');
    assert.notNull(v2, 'v2');

    const a = edge.v0;
    const b = edge.v1;

    return (a === v1 || a === v2) && (b === v1 || b === v2);
}
